﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data.Services.Client;
using Odata.NorthwindService;

namespace Odata
{
    public partial class Home : Page
    {

        private DataServiceCollection<Customer> custcoll;
        private NorthwindEntities _client;

   

        public Home()
        {
            InitializeComponent();

            loadButton.Click += loadButton_Click;

            _client = new NorthwindEntities(new Uri("http://localhost:58803/NorthwindDataservice.svc/", UriKind.Absolute));

            custcoll = new DataServiceCollection<Customer>(_client);
            custcoll.LoadCompleted += custcoll_LoadCompleted;


        }

        // Executes when the user navigates to this page.
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        void custcoll_LoadCompleted(object sender, LoadCompletedEventArgs e)
        {
            customerGrid.ItemsSource = custcoll;
            customerGrid.UpdateLayout();
        }


        private void loadButton_Click(object sender, RoutedEventArgs e)
        {
            customerGrid.DataContext = null;
            var customercol = (from c in _client.Customers
                               select c);


            custcoll.LoadAsync(customercol);

        }


    }
}